PULSAR
API ReferenceWork Orders

Search Work Orders By Code

Search work orders by code.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

code?string

Filter by code.

page?number

The page number to return.

Formatdouble
pageSize?number

The number of results to return per page.

Formatdouble

Response Body

application/json

Try it live
GET
/work-orders/search

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/work-orders/search"
{  "totalItems": 0.1,  "data": [    {      "id": "string",      "code": "string",      "name": "string"    }  ]}